Open Chinese Convert: opencc::StrSingleValueDictEntry Class Reference

Open Chinese Convert 1.3.2.dirty A project for conversion between Traditional and Simplified Chinese

Loading...
Searching...
No Matches
Public Member Functions | List of all members
opencc::StrSingleValueDictEntry Class Reference
Inheritance diagram for opencc::StrSingleValueDictEntry:

## Public Member Functions
| StrSingleValueDictEntry (const std::string &_key, const std::string &_value)
std::string | Key () const override
std::string_view | KeyView () const override
std::string | Value () const override
std::string | GetDefault () const override
std::string_view | ValueView () const override
Public Member Functions inherited from opencc::SingleValueDictEntry
std::string_view | GetDefaultView () const override
std::vector< std::string > | Values () const override
size_t | NumValues () const override
std::string | ToString () const override
Public Member Functions inherited from opencc::DictEntry
size_t | KeyLength () const
bool | operator< (const DictEntry &that) const
bool | operator== (const DictEntry &that) const

## Additional Inherited Members
Static Public Member Functions inherited from opencc::DictEntry
static bool | UPtrLessThan (const std::unique_ptr< DictEntry > &a, const std::unique_ptr< DictEntry > &b)

## Member Function Documentation

## ◆ GetDefault()

std::string opencc::StrSingleValueDictEntry::GetDefault | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from opencc::DictEntry.

## ◆ Key()

std::string opencc::StrSingleValueDictEntry::Key | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from opencc::DictEntry.

## ◆ KeyView()

std::string_view opencc::StrSingleValueDictEntry::KeyView | ( |  | ) | const
| inlineoverridevirtual

Implements opencc::DictEntry.

## ◆ Value()

std::string opencc::StrSingleValueDictEntry::Value | ( |  | ) | const
| inlineoverridevirtual

Implements opencc::SingleValueDictEntry.

## ◆ ValueView()

std::string_view opencc::StrSingleValueDictEntry::ValueView | ( |  | ) | const
| inlineoverridevirtual

Implements opencc::SingleValueDictEntry.

The documentation for this class was generated from the following file:

- DictEntry.hpp